Loading...
Searching...
No Matches
casacore::MSStateEnums Class Reference
ms package (libcasa_ms) » MeasurementSets_module

Enums for the MeasurementSet STATE table. More...

`#include <MSStateEnums.h>`

## Public Types

enum | PredefinedColumns { UNDEFINED_COLUMN , CAL , FLAG_ROW , LOAD , OBS_MODE , REF , SIG , SUB_SCAN , NUMBER_REQUIRED_COLUMNS , NUMBER_PREDEFINED_COLUMNS }
| The STATE table colums with predefined meaning. More...
enum | PredefinedKeywords { UNDEFINED_KEYWORD , NUMBER_PREDEFINED_KEYWORDS }
| Keywords with a predefined meaning. More...

## Detailed Description

Enums for the MeasurementSet STATE table.

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Etymology

This class contains the enums for the MeasurementSet STATE table

### Synopsis

This class does nothing. It is merely a container for the enumerations used by the MSState class. These enumerations define the standard columns, keywords.

### Example

See the documentation for MeasurementSet for examples on the use of these enumerations.

Definition at line 57 of file MSStateEnums.h.

## Member Enumeration Documentation

## PredefinedColumns

enum casacore::MSStateEnums::PredefinedColumns

The STATE table colums with predefined meaning.

Enumerator
UNDEFINED_COLUMN | "True" columns are defined. TYPE - UNIT - MEASURE
CAL | Noise calibration temperature Double - K.
FLAG_ROW | Row flag Bool.
LOAD | Load temperature Double - K.
OBS_MODE | Observing mode, e.g. OFF_SPECTRUM String
REF | True for a reference phase Bool.
SIG | True if the source signal is being observed Bool.
SUB_SCAN | Sub scan number (>=0) relative to scan number in MAIN Int.
NUMBER_REQUIRED_COLUMNS | Number of required columns.
NUMBER_PREDEFINED_COLUMNS | Not a column, but just a final enum specifying the number of enums.

Definition at line 60 of file MSStateEnums.h.

## PredefinedKeywords

enum casacore::MSStateEnums::PredefinedKeywords

Keywords with a predefined meaning.

Enumerator
UNDEFINED_KEYWORD | "True" keywords are defined.
NUMBER_PREDEFINED_KEYWORDS | Not a keyword, but just a final enum specifying the number of enums.

Definition at line 92 of file MSStateEnums.h.

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSStateEnums.h